#pragma once

#define DEF_BG_COLOR				Color(255, 230, 233, 238)
#define DEF_TEXT_COLOR				Color(255, 126, 133, 148)

#define DEF_STATUS_REL_POS_LEFT		(10)
#define DEF_STATUS_REL_POS_RIGHT	(2)
#define DEF_STATUS_TEXT_REL_POS_TOP	(6)

// CChatStatusWnd

class CChatStatusWnd : public CWnd
{
	DECLARE_DYNAMIC(CChatStatusWnd)

public:
	CChatStatusWnd();
	virtual ~CChatStatusWnd();

	// BG
	Image*				m_pImgBG;

	void				SetImgBGPath(CString strFileName);

	Color				m_crBG;

	CRect				m_rtWnd;
	CRect				m_rtStatusText;

	// font
	WCHAR				m_wszFontName[64];
	REAL				m_nFontHeight;
	FontStyle			m_fontStyle;
	Color				m_crText;

	void				SetFontConfig(WCHAR* wszFontName, REAL nFontHeight, FontStyle style, Color crText);

	// attribute
	CString				m_strStatusText;
	CString				m_strStatusTextAbbr;

	void				SetStatusText(CString strStatus);
	CString				GetStatusText()							{ return m_strStatusText; }

protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();	
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
};
